# Generated by Django 4.0.3 on 2022-04-20 17:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('Master', '0003_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Appointments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('total_amount', models.CharField(blank=True, max_length=100, null=True)),
                ('decline_reason', models.CharField(blank=True, max_length=100, null=True)),
                ('cacelled_at', models.DateField(blank=True, null=True)),
                ('apointment_date', models.DateField(blank=True, null=True)),
                ('apointment_transfer_reason', models.CharField(blank=True, max_length=100, null=True)),
                ('appointment_type', models.CharField(blank=True, choices=[('service', 'Service'), ('package', 'Package'), ('both', 'Both')], max_length=10, null=True)),
                ('appointment_status', models.CharField(blank=True, choices=[('pending', 'Pending'), ('confirmed', 'Confirmed'), ('cancelled', 'cancelled')], max_length=10, null=True)),
                ('is_rated', models.BooleanField(default=False)),
                ('services_qty', models.TextField(blank=True, null=True)),
                ('packages_qty', models.TextField(blank=True, null=True)),
                ('beautician', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
                ('cancelled_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='cancelled', to=settings.AUTH_USER_MODEL)),
                ('customer_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='customer', to=settings.AUTH_USER_MODEL)),
                ('package_id', models.ManyToManyField(to='Master.packagemaster')),
                ('service_id', models.ManyToManyField(to='Master.servicesmaster')),
            ],
            options={
                'verbose_name': 'Appointment',
                'db_table': 'Appointment',
            },
        ),
        migrations.CreateModel(
            name='Bookings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('booking_status', models.CharField(blank=True, choices=[('pending', 'Pending'), ('completed', 'Completed')], max_length=10, null=True)),
                ('total_amount', models.CharField(blank=True, max_length=100, null=True)),
                ('reached_at_location_on', models.DateField(blank=True, null=True)),
                ('total_time_spent', models.CharField(blank=True, max_length=100, null=True)),
                ('location', models.CharField(blank=True, max_length=200, null=True)),
                ('latitude', models.CharField(blank=True, max_length=200, null=True)),
                ('longitude', models.CharField(blank=True, max_length=200, null=True)),
                ('service_started_on', models.TimeField(blank=True, null=True)),
                ('service_completed_on', models.TimeField(blank=True, null=True)),
                ('fraud_analysis_score', models.CharField(blank=True, max_length=100, null=True)),
                ('from_time', models.TimeField(blank=True, null=True)),
                ('to_time', models.TimeField(blank=True, null=True)),
                ('invoice_number', models.CharField(blank=True, max_length=100, null=True)),
                ('booking_number', models.CharField(blank=True, max_length=100, null=True)),
                ('customer_rating', models.CharField(blank=True, max_length=100, null=True)),
                ('appointment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Bookings.appointments')),
            ],
            options={
                'verbose_name': 'Bookings',
                'db_table': 'Bookings',
            },
        ),
        migrations.CreateModel(
            name='CustomerOtherBooking',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('mobile_no', models.CharField(blank=True, max_length=10, null=True)),
                ('address', models.TextField(blank=True, null=True)),
                ('appointment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Bookings.appointments')),
                ('customer_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='customer_id', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Customer Other Booking',
                'db_table': 'CustomerOtherBooking',
            },
        ),
        migrations.CreateModel(
            name='CurrentLocation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('latitude', models.CharField(blank=True, max_length=200, null=True)),
                ('longitude', models.CharField(blank=True, max_length=200, null=True)),
                ('routes', models.BooleanField(blank=True, max_length=200, null=True)),
                ('beautician_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
                ('booking_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Bookings.bookings')),
            ],
            options={
                'verbose_name': 'Current Location',
                'db_table': 'CurrentLocation',
            },
        ),
        migrations.CreateModel(
            name='BookingSos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('sos', models.BooleanField(default=True)),
                ('date_time', models.DateTimeField(auto_now_add=True)),
                ('booking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Bookings.bookings')),
            ],
            options={
                'verbose_name': 'Booking Sos',
                'db_table': 'BookingSos',
            },
        ),
        migrations.CreateModel(
            name='BookingReviews',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('review_deacription', models.CharField(blank=True, max_length=100, null=True)),
                ('rating', models.CharField(blank=True, max_length=100, null=True)),
                ('booking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Bookings.bookings')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Booking Reviews',
                'db_table': 'BookingReviews',
            },
        ),
    ]
